[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TRadioButton.RealSetText

Sets the value for the text and/or caption in the control.

## Declaration

Source position: stdctrls.pp line 1496

`protected procedure TRadioButton.RealSetText(`
`const Value: TCaption`
`); override;`

## Arguments

`Value` |  | New value for the control.

## Description

RealSetText is an overridden method used to set value for the control using the TCaption instance in Value. In TRadioButton, the method ensures that the value in the caption is updated and that the control size is invalidated and adjusted using auto-sizing.

## See also

TCustomCheckBox.RealSetText |  | Sets the value for the Caption property.